task Realigner {

  File ref_dir
  File dbmills_dir

  String SENTIEON_INSTALL_DIR
  String SENTIEON_LICENSE
  String sample
  String fasta

  File? regions
  File Dedup_bam
  File Dedup_bam_index
  String db_mills
  String docker
  String cluster_config
  String disk_size
  
  command <<<
    set -o pipefail
    set -e
    export SENTIEON_LICENSE=${SENTIEON_LICENSE}
    nt=$(nproc)
    
    if [ ${regions} ]; then
      INTERVAL="--interval_list ${regions}"
    else
      INTERVAL=""
    fi
    
    ${SENTIEON_INSTALL_DIR}/bin/sentieon driver -t $nt \
    -r ${ref_dir}/${fasta} $INTERVAL \
    -i ${Dedup_bam} \
    --algo Realigner -k ${dbmills_dir}/${db_mills} ${sample}.sorted.deduped.realigned.bam
    
  >>>

  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }

  output {
    File realigner_bam = "${sample}.sorted.deduped.realigned.bam"
    File realigner_bam_index = "${sample}.sorted.deduped.realigned.bam.bai"

  }
}


